## docbow 1.56.post2+gda2ba2d

=== help/fr/Makefile ===
all:
	rm -rf build-pfwb build-pw
	mkdir -p build-pfwb build-pw
	yelp-build html -o build-pfwb `ls *.page | grep -v "^pw-"`
	yelp-build html -o build-pw `ls *.page | grep -v "^pfwb-"`

=== debian/changelog ===
docbow (1.56.post2+gda2ba2d-1~eob120+1) bookworm-eobuilder; urgency=low

  * (da2ba2) ci: delete sync-tabellio tests (#109821)
  * (05881c) debian: cleanup in postint (#101932)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 08 Sep 2025 10:14:27 +0200

docbow (1.56) bookworm-eobuilder; urgency=low

  * (60183e) misc: support django 4.2 (#101812)
  * (466a37) ci: use nox (#103038)
  * (067ea8) ci: support webtest multiple file input (#103020)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 06 Mar 2025 16:08:05 +0100

docbow (1.55) bookworm-eobuilder; urgency=low

  * (2b6e29) misc: exclude inactive list from list members (#94599)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 29 Aug 2024 11:42:19 +0200

docbow (1.54) bookworm-eobuilder; urgency=low

  * (fcd900) pfwb: add new link to navigation (#93955)
  * (9f566a) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (bb3a58) ci: stop building for bullseye (#92881)
  * (0ff9b0) setup: use setuptools instead of distutils (#92881)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 08 Aug 2024 08:51:54 +0200

docbow (1.53) bookworm-eobuilder; urgency=low

  * (ce66ca) admin: deduplicate results (#92397)
  * (71d8d3) pfwb: add a legal notice in the footer (#92398)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 27 Jun 2024 16:05:54 +0200

docbow (1.52) bookworm-eobuilder; urgency=low

  * (283927) pfwb: remove videos navigation entry (#90056)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 26 Apr 2024 08:39:10 +0200

docbow (1.51) bookworm-eobuilder; urgency=low

  * (ee9f9c) sendmail: grag recipient from environ (#88821)
  * (42e5b0) setup: compute pep440 compliant dirty version number (#81731)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 28 Mar 2024 14:49:48 +0100

docbow (1.50) bookworm-eobuilder; urgency=low

  * (635751) uwsgi: set DJANGO_SETTINGS_MODULE in environment (#87539)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 27 Feb 2024 17:55:56 +0100

docbow (1.49) bookworm-eobuilder; urgency=low

  * (8ba4e8) misc: force lasso messages to be considered as debug level (#74014)
  * (77cc73) misc: move bs4 dependency so setup.py (#87483)
  * (dcb24b) admin: prevent too big join by get_search_results (#80932)
  * (28a380) tests: add non regression test on search filter SQL query (#80932)
  * (2c380c) misc: include djdt urls (#87524)
  * (186e99) misc: support sqlalchemy < 2 (#87473)
  * (de2aa7) misc: delete tools directory (#87464)
  * (9d0672) setup: do not include gunicorn (#87460)
  * (3a6753) debian: delete init (#87462)
  * (e4362f) ci: add pre-commit changes to .git-blame-ignore-revs·(#86370)
  * (98dccb) ci: fix remaining ruff warnings (#86370)
  * (229479) ci: apply pre-commit hooks (#86370)
  * (f98e05) ci: update tox.ini & precommit hooks & compatibility py311 (#86370)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 27 Feb 2024 16:20:37 +0100

docbow (1.48) bookworm-eobuilder; urgency=low

  * (f8934e) tox: don't test against django 2.2 (#84191)
  * (024ab3) misc: mark a string for translation (#82756)
  * (888054) debian: add back memory-report to uwsgi default configuration (#80451)
  * (f4e981) debian: add uwsgi/docbow SyslogIdentifier in service (#82977)
  * (7511e7) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (2489ed) misc: apply double-quote-string-fixer (#79788)
  * (02efc0) misc: add pre commit hook to force single quotes (#79788)
  * (9c6f4e) debian: remove memory-report from uwsgi default configuration (#79890)
  * (86b49c) ci: build deb package for bookworm (#78968)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 04 Dec 2023 14:48:19 +0100

docbow (1.47) bookworm-eobuilder; urgency=low

  * (7e10f3) ci: stop building buster packages (#78451)
  * (fd3a30) misc: allow bigger list names (#78439)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 13 Jun 2023 15:21:36 +0200

docbow (1.46) bookworm-eobuilder; urgency=low

  * (7de24a) add django-tables2 static files (#44600)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 21 Mar 2023 11:52:10 +0100

docbow (1.45) bookworm-eobuilder; urgency=low

  * (103be3) settings: disable models.W042 check (#74833)
  * (d10e96) Prepare Jenkinsfile for Gitea migration (#74572)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 24 Feb 2023 11:46:02 +0100

docbow (1.44) bookworm-eobuilder; urgency=low

  * (77a7bc) debian: remove django-picklefield constraint (#69143)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 15 Sep 2022 16:27:04 +0200

docbow (1.43) bookworm-eobuilder; urgency=low

  * (0b0c3f) debian: remove obsolete standard error output config from systemd unit
    (#65101)
  * (8103ec) django 3.2: update dependencies and test against django 3.2
  * (ebb395) django 3.2: import StringIO from io (#64430)
  * (8481ea) django 3.2: use standard functools.wrap capabilities (#64430)
  * (67217e) django 3.2: get rid of print_function (#64430)
  * (324123) django 3.2: get rid of six.print_ (#64430)
  * (dc9e7a) django 3.2: get rid of six.text_type (#64430)
  * (112c55) django 3.2: get rid of six.PY3 (#64430)
  * (3f335c) django 3.2: import url related functions from urllib (#64430)
  * (8fdd44) django 3.2: stop using @python_2_unicode_compatible (#64430)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 02 Aug 2022 10:02:23 +0200

docbow (1.42) bookworm-eobuilder; urgency=low

  * (7209ea) sql: optimize the hand written queries (#49580)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 23 May 2022 17:42:49 +0200

docbow (1.41) bookworm-eobuilder; urgency=low

  * (f2dd0d) pfwb: properly truncate mail subject (#64737)
  * (38bd3f) trivial: bump black version to 22.3.0
  * (e339d9) misc: apply black 22.1.0
  * (35e1b9) trivial: bump black version to 22.1.0 (#62312)
  * (d95407) settings: close local settings file (#61978)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 03 May 2022 15:40:04 +0200

docbow (1.40) bookworm-eobuilder; urgency=low

  * (0e4aa8) sync-tabellio: add debug output (#61005)
  * (964a28) jenkins: show execution context in coverage reports (#60446)


=== debian/control ===
Source: docbow
Maintainer: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               openssl,
               python3-all,
               python3-django (>= 1:1.11),
               python3-setuptools,
               yelp-tools,
               yelp-xsl,
Standards-Version: 3.9.6
Homepage: https://dev.entrouvert.org/projects/docbow

Package: docbow
Architecture: all
Suggests: postgresql,
Depends: python3-django (>= 1:1.11),
         python3-django-journal (>= 2.0.0),
         python3-django-picklefield,
         python3-django-tables2,
         python3-django-watson (>= 1.2.0),
         python3-magic,
         python3-psycopg2,
         python3-requests,
         uwsgi,
         uwsgi-plugin-python3,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-django-mellon,
Description: Document Box Wallone

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=docbow
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/docbow/usr/bin/manage.py $(CURDIR)/debian/docbow/usr/lib/docbow/manage.py

override_dh_auto_build:
	$(MAKE) -C help/fr
	dh_auto_build
